View Issue Details

IDProjectCategoryView StatusLast Update
0003441Ham Radio DeluxeEnhancementpublic2019-11-08 02:31
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.7 
Target VersionFixed in Version6.7.0.244 
Summary0003441: add UI to show licensing status of all features
DescriptionA recent spec called out new work to make a report of the status of licensing for protected features in the product. This issue tracks that work.
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
Testing Beta Successful

Relationships

related to 0003401 closedK7ZCZ Add feature in QLM for panadapter 

Activities

K7ZCZ

2019-08-27 14:50

administrator   ~0008455

implemented in the 6.7 branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5139

K7ZCZ

2019-08-28 08:40

administrator   ~0008456

I've re-written the feature checking a bit, and added code to enumerate all features. With that, I've implemented a "View Features" dialog that shows all the protected features and their accessibility state. It's in this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5140

WA9PIE

2019-09-07 09:01

administrator   ~0008524

Validated (I checked this one myself)

Issue History

Date Modified Username Field Change
2019-08-27 14:50 K7ZCZ New Issue
2019-08-27 14:50 K7ZCZ Relationship added related to 0003401
2019-08-27 14:50 K7ZCZ Assigned To => K7ZCZ
2019-08-27 14:50 K7ZCZ Status new => resolved
2019-08-27 14:50 K7ZCZ Resolution open => fixed
2019-08-27 14:50 K7ZCZ Note Added: 0008455
2019-08-28 08:40 K7ZCZ Note Added: 0008456
2019-08-30 13:21 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-07 09:01 WA9PIE Status resolved => closed
2019-09-07 09:01 WA9PIE Testing Not Started => Beta Successful
2019-09-07 09:01 WA9PIE Note Added: 0008524
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe